## openjdk-13 13~13

=== src/utils/hsdis/Makefile ===
#
# Copyright (c) 2008, 2017, Oracle and/or its affiliates. All rights reserved.
# DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
#
# The Universal Permissive License (UPL), Version 1.0
#
# Subject to the condition set forth below, permission is hereby granted to
# any person obtaining a copy of this software, associated documentation
# and/or data (collectively the "Software"), free of charge and under any
# and all copyright rights in the Software, and any and all patent rights
# owned or freely licensable by each licensor hereunder covering either (i)
# the unmodified Software as contributed to or provided by such licensor,
# or (ii) the Larger Works (as defined below), to deal in both
#
# (a) the Software, and
#
# (b) any piece of software and/or hardware listed in the lrgrwrks.txt file
# if one is included with the Software (each a "Larger Work" to which the
# Software is contributed by such licensors),
#
# without restriction, including without limitation the rights to copy,
# create derivative works of, display, perform, and distribute the Software
# and make, use, sell, offer for sale, import, export, have made, and have
# sold the Software and the Larger Work(s), and to sublicense the foregoing
# rights on either these or other terms.
#
# This license is subject to the following condition:
#
# The above copyright notice and either this complete permission notice or
# at a minimum a reference to the UPL must be included in all copies or
# substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS
# OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
# MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN
# NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM,
# DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR
# OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE
# USE OR OTHER DEALINGS IN THE SOFTWARE.
#
# Please contact Oracle, 500 Oracle Parkway, Redwood Shores, CA 94065 USA
# or visit www.oracle.com if you need additional information or have any
# questions.
#
#

# Single gnu makefile for solaris, linux and windows (windows requires cygwin and mingw)

# Default arch; it is changed below as needed.
ARCH		= i386
OS		= $(shell uname)
AR		= ar

## OS = SunOS ##
ifeq		($(OS),SunOS)
CPU             = $(shell uname -p)
ARCH1=$(CPU:i586=i386)
ARCH=$(ARCH1:i686=i386)
OS		= solaris
CC 		= cc
CFLAGS		+= -KPIC
ifdef LP64
ifeq ($(ARCH),sparc)
ARCH            = sparcv9
endif
ifeq ($(ARCH),i386)
ARCH            = amd64
endif
endif
CFLAGS/sparcv9	+= -xarch=v9
CFLAGS/amd64	+= -m64
CFLAGS		+= $(CFLAGS/$(ARCH))
DLDFLAGS	+= -G
LDFLAGS         += -ldl
OUTFLAGS	+= -o $@
LIB_EXT		= .so
else
## OS = Linux ##
ifeq		($(OS),Linux)
ifneq           ($(MINGW),)
LIB_EXT		= .dll
CPPFLAGS += -I$(TARGET_DIR)/include
LDFLAGS += -L$(TARGET_DIR)/lib
OS=windows
ifneq           ($(findstring x86_64-,$(MINGW)),)
ARCH=amd64
else
ARCH=i386
endif
CC 		= $(MINGW)-gcc
CONFIGURE_ARGS= --host=$(MINGW) --target=$(MINGW)
else   #linux
CPU             = $(shell uname -m)
ARCH1=$(CPU:x86_64=amd64)
ARCH2=$(ARCH1:i686=i386)
ARCH=$(ARCH2:sparc64=sparcv9)
ifdef LP64
CFLAGS/sparcv9	+= -m64
CFLAGS/amd64	+= -m64
CFLAGS/ppc64	+= -m64
CFLAGS/ppc64le  += -m64 -DABI_ELFv2
else
ARCH=$(ARCH2:amd64=i386)
ifneq ($(findstring arm,$(ARCH)),)
ARCH=arm
endif
CFLAGS/i386	+= -m32
CFLAGS/sparc	+= -m32
endif
CFLAGS		+= $(CFLAGS/$(ARCH))
CFLAGS		+= -fPIC
OS		= linux
LIB_EXT		= .so
CC 		= gcc
endif
CFLAGS		+= -O
DLDFLAGS	+= -shared
LDFLAGS         += -ldl
OUTFLAGS	+= -o $@
else
## OS = AIX ##
ifeq		($(OS),AIX)
OS              = aix
ARCH            = ppc64
CC              = xlc_r
CFLAGS          += -DAIX -g -qpic=large -q64
CFLAGS/ppc64    += -q64
AR              = ar -X64
DLDFLAGS        += -qmkshrobj -lz
OUTFLAGS        += -o $@
LIB_EXT		= .so
else
## OS = Darwin ##
ifeq ($(OS),Darwin)
CPU             = $(shell uname -m)
ARCH1=$(CPU:x86_64=amd64)
ARCH=$(ARCH1:i686=i386)
ifdef LP64
CFLAGS/sparcv9  += -m64
CFLAGS/amd64    += -m64
else
ARCH=$(ARCH1:amd64=i386)
CFLAGS/i386     += -m32
CFLAGS/sparc    += -m32
endif # LP64
CFLAGS          += $(CFLAGS/$(ARCH))
CFLAGS          += -fPIC
OS              = macosx
LIB_EXT         = .dylib
CC              = gcc
CFLAGS          += -O
# CFLAGS        += -DZ_PREFIX
DLDFLAGS        += -shared
DLDFLAGS        += -lz
LDFLAGS         += -ldl
OUTFLAGS        += -o $@
else
## OS = Windows ##
OS		= windows
CC		= gcc
CFLAGS		+=  /nologo /MD /W3 /WX /O2 /Fo$(@:.dll=.obj) /Gi-
CFLAGS		+= LIBARCH=\"$(LIBARCH)\"
DLDFLAGS	+= /dll /subsystem:windows /incremental:no \
			/export:decode_instruction
OUTFLAGS	+= /link /out:$@
LIB_EXT		= .dll
endif   # Darwin
endif   # AIX
endif	# Linux
endif	# SunOS

LIBARCH		= $(ARCH)
ifdef		LP64
LIBARCH64/sparc	= sparcv9
LIBARCH64/i386	= amd64
LIBARCH64	= $(LIBARCH64/$(ARCH))
ifneq		($(LIBARCH64),)
LIBARCH		= $(LIBARCH64)
endif   # LIBARCH64/$(ARCH)
endif   # LP64

JDKARCH=$(LIBARCH:i386=i586)

ifeq            ($(BINUTILS),)
# Pop all the way out of the workspace to look for binutils.
# ...You probably want to override this setting.
BINUTILSDIR	= $(shell cd build/binutils;pwd)
else
BINUTILSDIR	= $(shell cd $(BINUTILS);pwd)
endif

CPPFLAGS	+= -I$(BINUTILSDIR)/include -I$(BINUTILSDIR)/bfd -I$(TARGET_DIR)/bfd
CPPFLAGS	+= -DLIBARCH_$(LIBARCH) -DLIBARCH=\"$(LIBARCH)\" -DLIB_EXT=\"$(LIB_EXT)\"

TARGET_DIR	= build/$(OS)-$(JDKARCH)
TARGET		= $(TARGET_DIR)/hsdis-$(LIBARCH)$(LIB_EXT)

SOURCE		= hsdis.c

LIBRARIES =	$(TARGET_DIR)/bfd/libbfd.a \
		$(TARGET_DIR)/opcodes/libopcodes.a \
		$(TARGET_DIR)/libiberty/libiberty.a

DEMO_TARGET	= $(TARGET_DIR)/hsdis-demo
DEMO_SOURCE	= hsdis-demo.c

.PHONY:  all clean demo both

all:  $(TARGET)

both: all all64

%64:
	$(MAKE) LP64=1 ${@:%64=%}

demo: $(TARGET) $(DEMO_TARGET)

$(LIBRARIES): $(TARGET_DIR) $(TARGET_DIR)/Makefile
	if [ ! -f $@ ]; then cd $(TARGET_DIR); make all-opcodes; fi

$(TARGET_DIR)/Makefile:
	(cd $(TARGET_DIR); CC=$(CC) CFLAGS="$(CFLAGS)" AR="$(AR)" $(BINUTILSDIR)/configure --disable-nls $(CONFIGURE_ARGS))

$(TARGET): $(SOURCE) $(LIBS) $(LIBRARIES) $(TARGET_DIR)
	$(CC) $(OUTFLAGS) $(CPPFLAGS) $(CFLAGS) $(SOURCE) $(DLDFLAGS) $(LIBRARIES)

$(DEMO_TARGET): $(DEMO_SOURCE) $(TARGET) $(TARGET_DIR)
	$(CC) $(OUTFLAGS) -DTARGET_DIR=\"$(TARGET_DIR)\" $(CPPFLAGS) -g $(CFLAGS/$(ARCH)) $(DEMO_SOURCE) $(LDFLAGS)

$(TARGET_DIR):
	[ -d $@ ] || mkdir -p $@

clean:
	rm -rf $(TARGET_DIR)

=== debian/changelog ===
openjdk-13 (13~13-0ubunt1) disco; urgency=medium

  * OpenJDK 13 build 13.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 21 Mar 2019 14:40:49 +0100

openjdk-13 (13~12-1) experimental; urgency=medium

  * OpenJDK 13 build 12.
  * Don't apply the m68k-support patch. Needs updates.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 16 Mar 2019 20:59:50 +0100

openjdk-12 (12~33-1) unstable; urgency=medium

  * OpenJDK 12 build 33 (release candidate 2).
  * Add support for DCEVM on am64 and i386. Addresses: #921419.
  * openjdk-12-dbg: Conflict with openjdk-11-dbg. Some object files are
    identical across OpenJDK versions. Closes: #919790.
  * Check for nodoc instead of nodocs in DEB_BUILD_OPTIONS. Closes: #922761.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 26 Feb 2019 11:24:37 +0100

openjdk-12 (12~32-1) unstable; urgency=medium

  * OpenJDK 12 build 32.
  * Attribute test dependencies with <!nocheck>.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 14 Feb 2019 17:15:22 +0100

openjdk-12 (12~31-1) unstable; urgency=medium

  * OpenJDK 12 build 31.
  * Configure with vendor flags.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 07 Feb 2019 11:50:45 +0100

openjdk-12 (12~30-1) unstable; urgency=medium

  * OpenJDK 12 build 30.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 01 Feb 2019 23:30:59 +0100

openjdk-12 (12~29-2) unstable; urgency=medium

  * Fix merging the packaging changes.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 25 Jan 2019 08:38:26 +0100

openjdk-12 (12~29-1) unstable; urgency=medium

  * OpenJDK 12 build 29.
  * Merge packaging changes from 11.0.2.
  * Link zero on alpha with --no-relax (Michael Cree). Closes: #920161).

 -- Matthias Klose <doko@ubuntu.com>  Thu, 24 Jan 2019 09:09:16 +0100

openjdk-12 (12~28-1) unstable; urgency=medium

  * OpenJDK 12 build 28.
  * jhsdb isn't built on alpha.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 17 Jan 2019 13:28:33 +0100

openjdk-12 (12~27-1) unstable; urgency=medium

  * OpenJDK 12 build 27.
  * Don't run the tests on alpha, causing build failure.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 10 Jan 2019 12:55:21 +0100

openjdk-12 (12~25-1) unstable; urgency=medium

  * OpenJDK 12 build 25.
  * Fix Zero on sparc64 (Adrian Glaubitz). Closes: #917008.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 22 Dec 2018 01:12:39 +0100

openjdk-12 (12~24-2) unstable; urgency=medium

  * Pull patches for 8215353 and 8215374, fixing build on i386.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 14 Dec 2018 20:44:28 +0100

openjdk-12 (12~24-1) unstable; urgency=medium

  * OpenJDK 12 build 24.
  * Re-enable the bootcycle builds for hotspot targets.
  * Enable bootcycle builds for zero targets.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 14 Dec 2018 19:18:49 +0100

openjdk-12 (12~23-3) unstable; urgency=medium

  * Disable the bootcycle build.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 07 Dec 2018 01:23:44 +0100

openjdk-12 (12~23-1) unstable; urgency=medium

  * OpenJDK 12 build 23.
  * Update VCS attributes in the control file. Addresses: #909736.
  * Re-enable the zero build on arm64 and ppc64el.
  * Configure with --with-jni-libpath.
  * Enable bootcycle builds for hotspot.
  * Don't build the test-image target.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 06 Dec 2018 16:37:32 +0100

openjdk-12 (12~22-0ubuntu2) disco; urgency=medium

  * OpenJDK 12 build 22.
  * Disable zero build on arm64 and ppc64el, ftbfs.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 02 Dec 2018 21:34:27 +0100

openjdk-11 (11.0.1+13-3) unstable; urgency=medium

  * Tighten dependency on debhelper on recent releases. Closes: #911694.
  * Reproducible properties file header when SOURCE_DATE_EPOCH is specified.
    Closes: #914278.
  * Add SOURCE_DATE_EPOCH support to the javadoc tool. Closes: #783938.
  * Disable AArch64 intrinsics for sin, cos and log. Closes: #910188.
    LP: #1796982.
  * Add support for DEB_BUILD_OPTIONS=terse. Closes: #912211.

 -- Matthias Klose <doko@debian.org>  Fri, 30 Nov 2018 11:40:28 +0100

openjdk-11 (11.0.1+13-2) unstable; urgency=high

  * OpenJDK 11.0.1 release.

  [ Tiago Stürmer Daitx ]
  * debian/rules:
    - limit the tests that we run for the hotspot, langtools,
      and jdk testsuites to improve build times and also to
      prevent running unstable or failing tests.
    - fix 'if' clause for definition of the TIME command.
    - remove guava jar from test classpath, no longer required.
  * debian/control, debian/control.in: add a breaks clause to
    clojure1.8 <= 1.8.0-7ubuntu1~.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 17 Oct 2018 09:31:38 +0200

openjdk-11 (11~28-3) unstable; urgency=medium

  * Build-depend on testng.
  * Drop the jdk-freetypeScaler-crash patch. Closes: #905718.
  * Don't run the tests on armel and mips*. Either too slow, or even
    crashing the buildds.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 03 Oct 2018 04:24:27 +0200

openjdk-11 (11~28-2) unstable; urgency=medium

  [ Matthias Klose ]
  * Configure --with-jvm-features=zgc on amd64. Closes: #909560.

  [ Tiago Stürmer Daitx ]
  * debian/rules: by default leave atk disabled, move accessibility bridge to
    recommends. LP: #1788250. LP: #1788267.
  * debian/control.in, debian/control: move accessibility bridge to
    recommends, add testng and libguava-java as build dependencies.
  * debian/rules:
    - copy accessibility files to conf/ (thanks to Samuel Thibault).
    - update test rules, set output to jtreg-test-output/ as test/ belongs
      to openjdk source, add jaxp and nashorn, use ProblemList.txt from
      each testsuite as the exclude list for jtreg, update regex to include
      into the tarball failed jcstress tests in the Test.java#id123 format,
      create a tarball with the JTreport directory, add guava jar file to
      the test classpath.
  * debian/excludelist.jdk.jtx, excludelist.langtools.jtx: removed, tests
    now rely on the ProblemList.txt exclusion list that is included in-tree
    and maintained upstream.



=== debian/control ===
Source: openjdk-13
Section: java
Priority: optional
Maintainer: OpenJDK Team <openjdk@lists.launchpad.net>
Uploaders: Matthias Klose <doko@ubuntu.com>
Build-Depends: debhelper (>= 11),
  m4, lsb-release, zip, unzip,
  sharutils, gawk, cpio, pkg-config, procps, wdiff, time, fastjar (>= 2:0.96-0ubuntu2),
  jtreg  <!nocheck>, testng  <!nocheck>,
  xvfb <!nocheck>, xauth <!nocheck>, xfonts-base <!nocheck>, libgl1-mesa-dri [!x32] <!nocheck>, xfwm4 <!nocheck>, x11-xkb-utils <!nocheck>, dbus-x11 <!nocheck>,
  autoconf, automake, autotools-dev, ant, ant-optional,
  g++-8,
  openjdk-11-jdk-headless | openjdk-10-jdk-headless,
  libxtst-dev, libxi-dev, libxt-dev, libxaw7-dev, libxrender-dev, libcups2-dev, libasound2-dev, liblcms2-dev, libfreetype6-dev (>= 2.2.1), libxinerama-dev, libkrb5-dev, xsltproc, libpcsclite-dev, libgtk-3-dev, libelf-dev, libfontconfig1-dev,
  libffi-dev,
  zlib1g-dev, libattr1-dev, libpng-dev, libjpeg-dev, libgif-dev,  
  libnss3-dev (>= 2:3.17.1),
  openjdk-13-jdk-headless <cross>,
Build-Depends-Indep: graphviz, pandoc,
Standards-Version: 4.3.0
Homepage: http://openjdk.java.net/
Vcs-Git: https://git.launchpad.net/~openjdk/ubuntu/+source/openjdk/+git/openjdk
Vcs-Browser: https://code.launchpad.net/~openjdk/ubuntu/+source/openjdk/+git/openjdk/+ref/master

Package: openjdk-13-jdk-headless
Architecture: alpha amd64 armel armhf arm64 i386 ia64 mips mipsel mips64 mips64el powerpc powerpcspe ppc64 ppc64el m68k sh4 sparc sparc64 s390x x32 kfreebsd-i386 kfreebsd-amd64
Multi-Arch: same
Pre-Depends: ${dpkg:Depends}
Depends: openjdk-13-jre-headless (= ${binary:Version}),
  ${shlibs:Depends}, ${misc:Depends}
Suggests: openjdk-13-demo, openjdk-13-source
Provides: java-sdk-headless, java2-sdk-headless,
  java5-sdk-headless, java6-sdk-headless,
  java7-sdk-headless, java8-sdk-headless,
  java9-sdk-headless, java10-sdk-headless,
  java11-sdk-headless, java-compiler
Conflicts: openjdk-11-jre-headless (<< 11~19-2)
Replaces: openjdk-11-jre-headless (<< 11~19-2)
Description: OpenJDK Development Kit (JDK) (headless)
 OpenJDK is a development environment for building applications,
 applets, and components using the Java programming language.

Package: openjdk-13-jre-headless
Architecture: alpha amd64 armel armhf arm64 i386 ia64 mips mipsel mips64 mips64el powerpc powerpcspe ppc64 ppc64el m68k sh4 sparc sparc64 s390x x32 kfreebsd-i386 kfreebsd-amd64
Multi-Arch: same
Pre-Depends: ${dpkg:Depends}
Depends: ${jredefault:Depends}, ${cacert:Depends},
  ${jcommon:Depends}, ${dlopenhl:Depends},
  ${mountpoint:Depends},
  ${shlibs:Depends}, ${misc:Depends}
Recommends: ${dlopenhl:Recommends}
Suggests: libnss-mdns,
  fonts-dejavu-extra,
  fonts-ipafont-gothic, fonts-ipafont-mincho, fonts-wqy-microhei | fonts-wqy-zenhei, fonts-indic,
Provides: java-runtime-headless, java2-runtime-headless,
  java5-runtime-headless, java6-runtime-headless,
  java7-runtime-headless, java8-runtime-headless,
  java9-runtime-headless, java10-runtime-headless,
  java11-runtime-headless,
  ${defaultvm:Provides}, ${jvm:Provides}
Breaks: clojure1.8 (<= 1.8.0-7ubuntu1~)
Conflicts: oracle-java11-installer, openjdk-11-jdk-headless (<< 11~18-2)
Replaces: openjdk-11-jdk-headless (<< 11~18-2)
Description: OpenJDK Java runtime, using ${vm:Name} (headless)
 Minimal Java runtime - needed for executing non GUI Java programs,
 using ${vm:Name}.

Package: openjdk-13-jdk
Architecture: alpha amd64 armel armhf arm64 i386 ia64 mips mipsel mips64 mips64el powerpc powerpcspe ppc64 ppc64el m68k sh4 sparc sparc64 s390x x32 kfreebsd-i386 kfreebsd-amd64
Multi-Arch: same
Pre-Depends: ${dpkg:Depends}
Depends: openjdk-13-jre (= ${binary:Version}),
  openjdk-13-jdk-headless (= ${binary:Version}),
  ${shlibs:Depends}, ${misc:Depends}
Recommends: libxt-dev
Suggests: openjdk-13-demo, openjdk-13-source, visualvm
Provides: java-sdk, java2-sdk, java5-sdk, java6-sdk,
  java7-sdk, java8-sdk, java9-sdk, java10-sdk, java11-sdk,
  java-compiler
Conflicts: openjdk-11-jre-headless (<< 11~19-2)
Replaces: openjdk-11-jre-headless (<< 11~19-2)
Description: OpenJDK Development Kit (JDK)
 OpenJDK is a development environment for building applications,
 applets, and components using the Java programming language.

Package: openjdk-13-jre
Architecture: alpha amd64 armel armhf arm64 i386 ia64 mips mipsel mips64 mips64el powerpc powerpcspe ppc64 ppc64el m68k sh4 sparc sparc64 s390x x32 kfreebsd-i386 kfreebsd-amd64
Multi-Arch: same
Pre-Depends: ${dpkg:Depends}
Depends: openjdk-13-jre-headless (= ${binary:Version}),
  ${xandsound:Depends}, ${dlopenjre:Depends},
  ${shlibs:Depends}, ${misc:Depends}
Recommends: ${dlopenjre:Recommends}, ${bridge:Recommends}, fonts-dejavu-extra
Suggests: ${pkg:pulseaudio}
Provides: java-runtime, java2-runtime,
  java5-runtime, java6-runtime,
  java7-runtime, java8-runtime,
  java9-runtime, java10-runtime,
  java11-runtime,
Description: OpenJDK Java runtime, using ${vm:Name}
 Full Java runtime environment - needed for executing Java GUI and Webstart
 programs, using ${vm:Name}.

Package: openjdk-13-demo
Architecture: alpha amd64 armel armhf arm64 i386 ia64 mips mipsel mips64 mips64el powerpc powerpcspe ppc64 ppc64el m68k sh4 sparc sparc64 s390x x32 kfreebsd-i386 kfreebsd-amd64
Priority: optional
Pre-Depends: ${dpkg:Depends}
Depends: openjdk-13-jre (= ${binary:Version}),
  ${shlibs:Depends}, ${misc:Depends}
Description: Java runtime based on OpenJDK (demos and examples)
 OpenJDK Java runtime

Package: openjdk-13-source
Architecture: all
Priority: optional
Pre-Depends: ${dpkg:Depends}
Depends: openjdk-13-jdk (>= ${source:Version}),
  ${misc:Depends}
Description: OpenJDK Development Kit (JDK) source files
 OpenJDK is a development environment for building applications,
 applets, and components using the Java programming language.
 .
 This package contains the Java programming language source files
 (src.zip) for all classes that make up the Java core API.

Package: openjdk-13-doc
Section: doc
Pre-Depends: ${dpkg:Depends}
Architecture: all
Multi-Arch: foreign
Priority: optional
Depends: ${misc:Depends},
  libjs-jquery,
  libjs-jquery-ui,
Suggests: openjdk-13-jdk
Description: OpenJDK Development Kit (JDK) documentation
 OpenJDK is a development environment for building applications,
 applets, and components using the Java programming language.
 .
 This package contains the API documentation.

Package: openjdk-13-dbg
Architecture: alpha amd64 armel armhf arm64 i386 ia64 mips mipsel mips64 mips64el powerpc powerpcspe ppc64 ppc64el m68k sh4 sparc sparc64 s390x x32 kfreebsd-i386 kfreebsd-amd64
Multi-Arch: same
Priority: optional
Section: debug
Pre-Depends: ${dpkg:Depends}
Depends: openjdk-13-jre-headless (= ${binary:Version}),
   ${misc:Depends}
Recommends: openjdk-13-jre (= ${binary:Version})
Suggests: openjdk-13-jdk (= ${binary:Version})
Conflicts: openjdk-11-dbg
Description: Java runtime based on OpenJDK (debugging symbols)
 OpenJDK is a development environment for building applications,
 applets, and components using the Java programming language.
 .
 This package contains the debugging symbols.

Package: openjdk-13-jre-zero
Architecture: amd64 i386 arm64 armhf ppc64 ppc64el sparc64 s390x kfreebsd-amd64 kfreebsd-i386
Multi-Arch: same
Priority: optional
Pre-Depends: ${dpkg:Depends}
Depends: openjdk-13-jre-headless (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Provides: ${zerovm:Provides}
Description: Alternative JVM for OpenJDK, using Zero
 The package provides an alternative runtime using the Zero VM. Built on
 architectures in addition to the Hotspot VM as a debugging aid for those
 architectures which don't have a Hotspot VM.
 .
 The VM is started with the option `-zero'. See the README.Debian for details.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

unexport LANG LC_ALL

dh_version := $(shell dpkg-query -f '$${Version}\n' -W debhelper | sed -n 's/^\(.\).*/\1/p')

# using brace expansion and substring replacements (${var:0:2}).
SHELL = /bin/bash

# use gnu time in verbose mode if available, otherwise default to the shell builtin
ifneq (,$(wildcard /usr/bin/time))
  TIME = /usr/bin/time -v
else
  TIME = time
endif

vafilt = $(subst $(2)=,,$(filter $(2)=%,$(1)))

DPKG_VARS		:= $(shell dpkg-architecture)
DEB_HOST_GNU_TYPE	?= $(call vafilt,$(DPKG_VARS),DEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE	?= $(call vafilt,$(DPKG_VARS),DEB_BUILD_GNU_TYPE)
DEB_HOST_ARCH		?= $(call vafilt,$(DPKG_VARS),DEB_HOST_ARCH)
DEB_BUILD_ARCH		?= $(call vafilt,$(DPKG_VARS),DEB_BUILD_ARCH)
DEB_HOST_ARCH_CPU	?= $(call vafilt,$(DPKG_VARS),DEB_HOST_ARCH_CPU)
DEB_HOST_MULTIARCH	?= $(call vafilt,$(DPKG_VARS),DEB_HOST_MULTIARCH)

PATH := $(CURDIR)/bin:$(PATH)
export PATH

CHANGELOG_VARS := $(shell dpkg-parsechangelog | sed -n 's/ /_/g;/^[^_]/s/^\([^:]*\):_\(.*\)/\1=\2/p')
PKGSOURCE := $(call vafilt,$(CHANGELOG_VARS),Source)
PKGVERSION := $(call vafilt,$(CHANGELOG_VARS),Version)

distribution := $(shell lsb_release --id --short)
distrel := $(shell lsb_release --codename --short)
derivative := $(shell if dpkg-vendor --derives-from Ubuntu; then echo Ubuntu; \
               elif dpkg-vendor --derives-from Debian; then echo Debian; \
               else echo Unknown; fi)
ifeq ($(distrel),n/a)
  distrel := sid
endif

multiarch_dir = /$(DEB_HOST_MULTIARCH)

hotspot_archs	= amd64 i386 arm64 armhf ppc64 ppc64el sparc64 s390x kfreebsd-amd64 kfreebsd-i386
jtreg_archs	= $(hotspot_archs) alpha ia64 powerpc powerpcspe ppc64 sh4 x32
#jtreg_archs	+= armel
#jtreg_archs	+= mips mipsel mips64 mips64el

# FIXME: use bootcycle builds for zero archs?
bootcycle_build = $(if $(filter $(DEB_HOST_ARCH), $(hotspot_archs)),yes)
#bootcycle_build = $(if $(filter $(DEB_HOST_ARCH), amd64 i386),yes)
#bootcycle_build =
zbootcycle_build =
zbootcycle_build = yes
ifneq ($(DEB_HOST_ARCH),$(DEB_BUILD_ARCH))
  bootcycle_build =
  zbootcycle_build =
endif

ifneq (,$(filter $(distrel),lucid precise quantal raring saucy trusty utopic vivid wily lenny etch squeeze wheezy jessie))
  is_default = no
else
  is_default = yes
endif

srcdir		= .
builddir	= build
zbuilddir	= build-zero

VENDOR		= openjdk
Vendor		= OpenJDK
TOP		= usr/lib/jvm
origin		= openjdk
basename	= openjdk-$(shortver)
ifneq (,$(filter $(DEB_HOST_ARCH), $(hotspot_archs)))
  priority	= $(if $(filter yes, $(is_default)),1211,1209)
  vm_name	= Hotspot JIT
else
  priority	= $(if $(filter yes, $(is_default)),1204,1203)
  vm_name	= Hotspot Zero
endif
jvmver		= 1.13.0
shortver	= 13
v_upstream	:= $(shell echo $(PKGVERSION) | sed 's/-[^-][^-]*$$//')
v_pkgrel	:= $(shell echo $(PKGVERSION) | sed 's/^.*-//')
# FIXME. currently v_upstream like 11~4
v_upbase	:= $(word 1, $(subst +, , $(v_upstream)))
v_upbuild	:= $(word 2, $(subst +, , $(v_upstream)))
v_upbase	:= $(word 1, $(subst ~, , $(v_upstream)))
v_upbuild	:= $(word 2, $(subst ~, , $(v_upstream)))
# that should be the package version ...

#ifneq ($(PKGVERSION),$(v_upbase)+$(v_upbuild)-$(v_pkgrel))
#  $(error wrong version: $(v_upbase)+$(v_upbuild)-$(v_pkgrel) should be: $(PKGVERSION))
#endif
ifneq ($(PKGVERSION),$(v_upbase)~$(v_upbuild)-$(v_pkgrel))
  $(error wrong version: $(v_upbase)~$(v_upbuild)-$(v_pkgrel) should be: $(PKGVERSION))
endif

ifneq (,$(DEB_HOST_MULTIARCH))
  jdirname	= java-$(shortver)-$(origin)-$(DEB_HOST_ARCH)
  jdiralias	= java-$(jvmver)-$(origin)-$(DEB_HOST_ARCH)
  basedir	= $(TOP)/$(jdirname)
  commonbasedir	= $(TOP)/java-$(shortver)-$(origin)-common
  commonbasedir	= $(basedir)
  etcdir	= etc/java-$(shortver)-$(origin)
else
  jdirname	= java-$(shortver)-$(origin)
  jdiralias	= java-$(jvmver)-$(origin)
  basedir	= $(TOP)/$(jdirname)
  commonbasedir	= $(TOP)/java-$(shortver)-$(origin)
  etcdir	= etc/$(jdirname)
endif
security	= $(etcdir)/security
ifeq ($(bootcycle_build),yes)
  sdkimg	= bootcycle-build/images/jdk
  build_target	= bootcycle-images test-image
else
  sdkimg	= images/jdk
  build_target	= images test-image
endif
ifeq ($(zbootcycle_build),yes)
  zsdkimg	= bootcycle-build/images/jdk
  zbuild_target	= bootcycle-images test-image
else
  zsdkimg	= images/jdk
  zbuild_target	= images test-image
endif

# Support parallel=<n> in DEB_BUILD_OPTIONS (see #209008)
COMMA=,
SPACE = $(EMPTY) $(EMPTY)
ifneq (,$(filter parallel=%,$(subst $(COMMA), ,$(DEB_BUILD_OPTIONS))))
  NJOBS = $(subst parallel=,,$(filter parallel=%,$(subst $(COMMA), ,$(DEB_BUILD_OPTIONS))))
endif

with_check = $(if $(findstring nocheck, $(DEB_BUILD_OPTIONS)),,yes)
ifneq (,$(filter $(DEB_HOST_ARCH), alpha))
  with_check = disabled running check on $(DEB_HOST_ARCH)
endif

with_docs = $(if $(findstring nodoc, $(DEB_BUILD_OPTIONS)),,yes)

with_wqy_zenhai = $(if $(filter $(distrel),lenny),,yes)

arch_map	:= alpha=alpha arm=arm armel=arm armhf=arm arm64=aarch64 amd64=amd64 hppa=parisc i386=i586 m68k=m68k mips=mips mipsel=mipsel mips64=mips64 mips64el=mips64el powerpc=ppc powerpcspe=ppc ppc64=ppc64 ppc64el=ppc64le sparc=sparc sparc64=sparcv9 sh4=sh s390x=s390x ia64=ia64 x32=x32

jvmarch		:= $(strip $(patsubst $(DEB_HOST_ARCH_CPU)=%, %, \
			$(filter $(DEB_HOST_ARCH_CPU)=%, $(arch_map))))
ifeq ($(DEB_HOST_ARCH),x32)
  jvmarch := x32
endif

default_vm = $(if $(filter $(DEB_HOST_ARCH), $(hotspot_archs)),hotspot,zero)

any_archs = alpha amd64 armel armhf arm64 i386 ia64 mips mipsel mips64 mips64el powerpc powerpcspe ppc64 ppc64el m68k sh4 sparc sparc64 s390x x32 kfreebsd-i386 kfreebsd-amd64

altzero_archs = $(hotspot_archs)
ifneq (,$(filter $(distrel),trusty))
  altzero_archs := $(filter-out arm64, $(hotspot_archs))
endif

ifneq (,$(filter noaltzero, $(DEB_BUILD_OPTIONS)))
  altzero_archs =
else ifneq (,$(filter $(DEB_HOST_ARCH), $(altzero_archs)))
  alternate_vms += zero
  zero_dir = zero
endif

# needed for the jexec build
export DEBIAN_JDK_BASE_DIR := /$(basedir)

BOOTJDK_HOME := $(strip $(subst /bin/javac,, $(firstword $(wildcard \
			/usr/lib/jvm/java-11-openjdk-$(DEB_BUILD_ARCH)/bin/javac \
			/usr/lib/jvm/java-12-openjdk-$(DEB_BUILD_ARCH)/bin/javac \
			/usr/lib/jvm/java-13-openjdk-$(DEB_BUILD_ARCH)/bin/javac \
		))))

ifeq ($(DEB_BUILD_ARCH),$(DEB_HOST_ARCH))
  BUILDJDK_HOME = $(CURDIR)/$(builddir)/$(sdkimg)
else
  BUILDJDK_HOME = $(BOOTJDK_HOME)
endif

# for Hotspot: hotspot/make/linux/makefiles/vm.make
# Don't overwrite Hotspot opt level :
# -O3 is already default option for hotspot

# FIXME: ftbfs with -Werror=format-security
dpkg_buildflags_hs = \
	DEB_CFLAGS_MAINT_STRIP="-O2 -Werror=format-security" \
	DEB_CXXFLAGS_MAINT_STRIP="-O2 -Werror=format-security" \
	DEB_CFLAGS_MAINT_APPEND="-fno-stack-protector -Wno-deprecated-declarations" \
	DEB_CXXFLAGS_MAINT_APPEND="-fno-stack-protector -Wno-deprecated-declarations$(if $(filter $(DEB_HOST_ARCH), armel armhf), -fpermissive)"
# jdk/make/CompileDemos.gmk (SetupJVMTIDemo) doesn't like commas in flags
dpkg_buildflags_hs += \
	DEB_LDFLAGS_MAINT_STRIP="-Wl,-z,relro -Wl,-Bsymbolic-functions" \
	DEB_LDFLAGS_MAINT_APPEND="-Xlinker -z -Xlinker relro -Xlinker -Bsymbolic-functions"
dpkg_buildflags_hs += dpkg-buildflags
export EXTRA_CPPFLAGS_HS := $(shell $(dpkg_buildflags_hs) --get CPPFLAGS)
export EXTRA_CFLAGS_HS   := $(shell $(dpkg_buildflags_hs) --get CFLAGS; $(dpkg_buildflags_hs) --get CPPFLAGS)
export EXTRA_CXXFLAGS_HS := $(shell $(dpkg_buildflags_hs) --get CXXFLAGS) -Wno-deprecated-declarations
export EXTRA_LDFLAGS_HS  := $(shell $(dpkg_buildflags_hs) --get LDFLAGS)

dpkg_buildflags_zero = \
	DEB_CFLAGS_MAINT_STRIP="-O2 -Werror=format-security -fstack-protector -fstack-protector-strong" \
	DEB_CXXFLAGS_MAINT_STRIP="-O2 -Werror=format-security -fstack-protector -fstack-protector-strong" \
	DEB_CFLAGS_MAINT_APPEND="-fno-stack-protector -Wno-deprecated-declarations" \
	DEB_CXXFLAGS_MAINT_APPEND="-fno-stack-protector -Wno-deprecated-declarations"

## openjdk-13 13~17

=== debian/changelog ===
openjdk-13 (13~17-1) experimental; urgency=medium

  [ Matthias Klose ]
  * Build the alternate zero VM using the just built hotspot VM.
  * Remove the icedtea-sound/pulseaudio build support.
  * Remove some xulrunner build bits.
  * Annotate the bootstrap dependency with :native.
  * Fix installation of the -doc package. Closes: #926845, #926917.

  [ Tiago Stürmer Daitx ]
  * Install swing.properties into <java-home>/conf instead of <java-home>/lib.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 18 Apr 2019 06:33:56 +0200

openjdk-13 (13~14-1) experimental; urgency=medium

  [ Matthias Klose ]
  * OpenJDK 13 build 14.
  * Configure with vendor flags.
  * Update package provides for 12 and 13.

  [ Tiago Stürmer Daitx ]
  * Revert to GTK2 as default since GTK3 still has padding and
    component issues. LP: #1770278.
    - debian/patches/keep-gtk2-as-default.patch: revert upstream so
      GTK2 is loaded before GTK3 when available.
    - debian/rules, debian/control: Set jre to depend on libgtk2.0-0
      and alternatively to libgtk-3-0.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 28 Mar 2019 08:54:33 +0100

openjdk-13 (13~13-1) experimental; urgency=medium

  * OpenJDK 13 build 13.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 21 Mar 2019 14:40:49 +0100

=== debian/control ===
--- 
+++ 
@@ -10,10 +10,10 @@
   xvfb <!nocheck>, xauth <!nocheck>, xfonts-base <!nocheck>, libgl1-mesa-dri [!x32] <!nocheck>, xfwm4 <!nocheck>, x11-xkb-utils <!nocheck>, dbus-x11 <!nocheck>,
   autoconf, automake, autotools-dev, ant, ant-optional,
   g++-8,
-  openjdk-11-jdk-headless | openjdk-10-jdk-headless,
+  openjdk-12-jdk-headless:native | openjdk-13-jdk-headless:native,
   libxtst-dev, libxi-dev, libxt-dev, libxaw7-dev, libxrender-dev, libcups2-dev, libasound2-dev, liblcms2-dev, libfreetype6-dev (>= 2.2.1), libxinerama-dev, libkrb5-dev, xsltproc, libpcsclite-dev, libgtk-3-dev, libelf-dev, libfontconfig1-dev,
   libffi-dev,
-  zlib1g-dev, libattr1-dev, libpng-dev, libjpeg-dev, libgif-dev,  
+  zlib1g-dev, libattr1-dev, libpng-dev, libjpeg-dev, libgif-dev, 
   libnss3-dev (>= 2:3.17.1),
   openjdk-13-jdk-headless <cross>,
 Build-Depends-Indep: graphviz, pandoc,
@@ -33,7 +33,8 @@
   java5-sdk-headless, java6-sdk-headless,
   java7-sdk-headless, java8-sdk-headless,
   java9-sdk-headless, java10-sdk-headless,
-  java11-sdk-headless, java-compiler
+  java11-sdk-headless, java12-sdk-headless,
+  java13-sdk-headless, java-compiler
 Conflicts: openjdk-11-jre-headless (<< 11~19-2)
 Replaces: openjdk-11-jre-headless (<< 11~19-2)
 Description: OpenJDK Development Kit (JDK) (headless)
@@ -56,7 +57,8 @@
   java5-runtime-headless, java6-runtime-headless,
   java7-runtime-headless, java8-runtime-headless,
   java9-runtime-headless, java10-runtime-headless,
-  java11-runtime-headless,
+  java11-runtime-headless, java12-runtime-headless,
+  java13-runtime-headless,
   ${defaultvm:Provides}, ${jvm:Provides}
 Breaks: clojure1.8 (<= 1.8.0-7ubuntu1~)
 Conflicts: oracle-java11-installer, openjdk-11-jdk-headless (<< 11~18-2)
@@ -76,7 +78,7 @@
 Suggests: openjdk-13-demo, openjdk-13-source, visualvm
 Provides: java-sdk, java2-sdk, java5-sdk, java6-sdk,
   java7-sdk, java8-sdk, java9-sdk, java10-sdk, java11-sdk,
-  java-compiler
+  java12-sdk, java13-sdk, java-compiler
 Conflicts: openjdk-11-jre-headless (<< 11~19-2)
 Replaces: openjdk-11-jre-headless (<< 11~19-2)
 Description: OpenJDK Development Kit (JDK)
@@ -91,12 +93,12 @@
   ${xandsound:Depends}, ${dlopenjre:Depends},
   ${shlibs:Depends}, ${misc:Depends}
 Recommends: ${dlopenjre:Recommends}, ${bridge:Recommends}, fonts-dejavu-extra
-Suggests: ${pkg:pulseaudio}
 Provides: java-runtime, java2-runtime,
   java5-runtime, java6-runtime,
   java7-runtime, java8-runtime,
   java9-runtime, java10-runtime,
-  java11-runtime,
+  java11-runtime, java12-runtime,
+  java13-runtime,
 Description: OpenJDK Java runtime, using ${vm:Name}
  Full Java runtime environment - needed for executing Java GUI and Webstart
  programs, using ${vm:Name}.

=== debian/rules ===
--- 
+++ 
@@ -78,10 +78,10 @@
 origin		= openjdk
 basename	= openjdk-$(shortver)
 ifneq (,$(filter $(DEB_HOST_ARCH), $(hotspot_archs)))
-  priority	= $(if $(filter yes, $(is_default)),1211,1209)
+  priority	= $(if $(filter yes, $(is_default)),1311,1309)
   vm_name	= Hotspot JIT
 else
-  priority	= $(if $(filter yes, $(is_default)),1204,1203)
+  priority	= $(if $(filter yes, $(is_default)),1304,1303)
   vm_name	= Hotspot Zero
 endif
 jvmver		= 1.13.0
@@ -143,6 +143,7 @@
 ifneq (,$(filter $(DEB_HOST_ARCH), alpha))
   with_check = disabled running check on $(DEB_HOST_ARCH)
 endif
+with_check =
 
 with_docs = $(if $(findstring nodoc, $(DEB_BUILD_OPTIONS)),,yes)
 
@@ -176,7 +177,6 @@
 export DEBIAN_JDK_BASE_DIR := /$(basedir)
 
 BOOTJDK_HOME := $(strip $(subst /bin/javac,, $(firstword $(wildcard \
-			/usr/lib/jvm/java-11-openjdk-$(DEB_BUILD_ARCH)/bin/javac \
 			/usr/lib/jvm/java-12-openjdk-$(DEB_BUILD_ARCH)/bin/javac \
 			/usr/lib/jvm/java-13-openjdk-$(DEB_BUILD_ARCH)/bin/javac \
 		))))
